Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk12+
Version: 1.2.10
Release: 23tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{version}.tar.gz
Patch : gtk+-1.2.10-m4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib12-devel >= %{version}, xorg-x11-devel
Requires: glib12, xorg-x11-libs
Provides: gtk+ = %{version}
%define libname  libgtk+

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Trustix Official
Requires: %{name} = %{version}
Requires: glib12-devel >= %{version}, xorg-x11-devel
Provides: gtk+-devel = %{version}

%description devel
The libgtk+1.2-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+1.2-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

Install libgtk+1.2-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.

%prep
%setup -n gtk+-%{version} -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure 	--with-glib-prefix=%{_prefix} \
		--prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_ROOT_DIR/%{_prefix}/share/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(0755, root, root)
%doc INSTALL ABOUT-NLS
%{_libdir}/lib*.so.*
%{_datadir}/themes/Default
%config(noreplace) %{_sysconfdir}/gtk/*

%files devel
%defattr(0755, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README* TODO docs/html
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/*
%{_bindir}/*
%{_mandir}/*


%changelog
* Tue Nov 15 2005 Bipin S <bipin at trustix dot org> 1.2.10-23tr
- Fixed underquoted definition warning, Bug#1407.

* Mon Nov 14 2005 Ajith Thampi <ajith at trustix dot org> 1.2.10-22tr
- Fixed -devel Requires.
		
* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.10-20tr
- Changed Group to Trustix Official

* Tue Feb 01 2005 Syed Shabir <syedshabir at comodo dot com>
- Rebuilt on GCC-3.4.3

* Mon Oct 11 2004 Syed Shabir <syedshabir at comodo dot com>
- Rebuilt for TSL 2.2

* Mon Aug 23 2004 Nageswara Sastry <nageswara at comodo dot com>
- xfree86 changed to xorg-x11

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Wed Jan 14 2004 Chr. Toldnes <christht at trustix dot org> 1.2.10-3ct
- Big Rebuild

* Thu Dec 11 2003 Chr. Toldnes <christht at trustix dot org> 1.2.10-2ct
- Fixed error in requirement

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 1.2.10-1ct
- Initial release for TSL
